Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Categories

List
GET /calendarmodules/{moduleId}/categories
https://api.relesysapp.net/api/v1.1/calendarmodules/{moduleId}/categories
Get a list of calendar categories.
Scopes: relesys.api, relesys.api:read, relesys.api.calendars, relesys.api.calendars:read
URL Path
moduleId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"502bc02e-7c90-4116-a6ef-644238f781f0","url":null,"creationDateTime":"2026-08-30T02:20:49.4892537+00:00","lastModifiedDateTime":"2026-08-31T02:20:49.4892537+00:00","locales":[{"culture":"en-GB","title":"Calendar category locale title example 1"},{"culture":"da-DK","title":"Calendar category locale title example 2"}]},{"id":"c2f05bf7-827a-47a5-ae49-ee97c1d3198a","url":null,"creationDateTime":"2026-08-30T02:20:49.4892537+00:00","lastModifiedDateTime":"2026-08-31T02:20:49.4892537+00:00","locales":[{"culture":"en-GB","title":"Calendar category locale title example 1"}]}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    title string      
   url string      
  nextUrl string      
  previousUrl string